package com.link.core.basic.lock;

import com.link.core.parserplugin.ParserEnum;
import org.springframework.stereotype.Component;

@Component
public class LockConfigure {
   public static final String GLOBAL_LOCK_FLAG = "globalLockFlag";
   private int lockOrder = 2147483646;
   private ParserEnum parser;

   public LockConfigure() {
      this.parser = ParserEnum.SPRING_EL;
   }

   public int getLockOrder() {
      return this.lockOrder;
   }

   public void setLockOrder(int lockOrder) {
      this.lockOrder = lockOrder;
   }

   public ParserEnum getParser() {
      return this.parser;
   }

   public void setParser(ParserEnum parser) {
      this.parser = parser;
   }
}
